
TYPO3.Flow - Feature # 7216

Status: Closed Priority: Should have
Author: Marc Neuhaus Category: Core
Created: 2010-04-12 Assigned To: Bastian Waidelich
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Custom CLI Controller without Modification of flow3.sh
Description

I'm currently putting an Doctrine2 Package together and wanted to add the Doctrine2 schema-tools to the flow3 cli script.

Wouldn't it make sense to make cli controllers dynamically accessible through the flow3 script without modification to it?

the attached diff is a simple example to achieve something like this

Related issues:
related to TYPO3.Flow - Feature # 4426: Provide Windows compatible version of... Resolved
related to TYPO3.Flow - Feature # 4469: Implement a central command line cont... Resolved 2009-09-07

History
#1 - 2010-07-09 14:49 - Robert Lemke
- Status changed from New to Needs Feedback
- Assigned To set to Bastian Waidelich

#2 - 2010-07-09 15:10 - Bastian Waidelich

Hi Marc,
we're thinking about making all actions accessible through a central CLI. See #4426 for details.

#3 - 2010-08-18 15:13 - Karsten Dambekalns
- Category set to Core
- Status changed from Needs Feedback to Closed

Closing this in favour of #4426.

Files
flow3.diff 288 Bytes 2010-04-12 Marc Neuhaus
